--- title: "changeNasVolumeSnapshotConfiguration" slug: "compute-server-changenasvolumesnapshotconfiguration" updated: 2026-09-17T10:12:27Z published: 2026-09-17T10:12:27Z canonical: "api.ncloud-docs.com/compute-server-changenasvolumesnapshotconfiguration" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # changeNasVolumeSnapshotConfiguration Available in Classic Change the snapshot settings for a NAS volume instance. ## Requests The following describes the request format for the endpoint. The request format is as follows. | Method | URI | | --- | --- | | GET \| POST | /server/v2/changeNasVolumeSnapshotConfiguration | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all NAS APIs, see [NAS request headers](/docs/en/nas-overview-classic#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `nasVolumeInstanceNo` | String | Required | Unique number of the NAS volume instance - See [getNasVolumeInstanceList](/docs/en/compute-server-getnasvolumeinstancelist) | | `snapshotVolumeConfigurationRatio` | Integer | Required | Set the percentage of snapshot allocation in the volume (%) - 0 - 99 - If the snapshot capacity exceeds the set percentage of capacity, it deletes past snapshots first - Setting to 0 disables snapshots | | `snapshotVolumeConfigDayOfWeekTypeCode` | String | Optional | Enable automatic snapshot creation and set the frequency`-1` (daily) \| `0` (Sunday) \| `1` (Monday) \| `2` (Tuesday) \| `3` (Wednesday) \| `4` (Thursday) \| `5` (Friday) \| `6` (Saturday) - Invalid if snapshot allocation percentage is zero - Create automatically by day of week as set within snapshot capacity limits | | `snapshotVolumeConfigTime` | Integer | Conditional | Execution time (hour) for automatic snapshot creation - 0 - 23 - Setup required if automatic snapshot creation is enabled | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/server/v2/changeNasVolumeSnapshotConfiguration ?nasVolumeInstanceNo=00000000 &snapshotVolumeConfigurationRatio=4 &snapshotVolumeConfigDayOfWeekTypeCode=6 &snapshotVolumeConfigTime=0' \ --header 'x-ncp-apigw-timestamp: {timestamp}' \ --header 'x-ncp-iam-access-key: {access key}' \ --header 'x-ncp-apigw-signature-v2: {API gateway signature}' ``` ## Responses The following describes the response format. ### Response body See [NasVolumeInstanceList](/docs/en/common-vapidatatype-nasvolumeinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all NAS APIs, see [NAS response status codes](/docs/en/nas-overview-classic#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 0 success 1 00000000 CREAT NAS create NULL NAS NULL OP created 2024-04-03T16:23:17+0900 10.250.53.85:/n2795985_hsh NFS NFS n2795985_hsh 536870912000 515396075520 4.0 WEEK everyweek 6 Saturday 0 21474836480 true false 1 KR Korea 3 KR-2 KR-2 Pyeongchon zone 1 false ```